﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- business-012 -->
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="100%" height="336" align="left" valign="top" background="images/headerbg.gif">
		<table width="100%" height="100%" style="background-image: url(images/header.gif);background-repeat: no-repeat;background-position: left top;" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="100%" align="left" valign="top" style="background-image: url(images/header01.gif);background-repeat: no-repeat;background-position: right top;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td height="280"><img src="images/space.gif" width="780" height="10" />
                  <table width="360" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="120" rowspan="2" align="right" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                    <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                  </tr>
                  <tr>
                    <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td height="100%" align="left" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="266" align="right" valign="top"><img src="images/tmenuleft.gif" width="36" height="57" /></td>
                    <td align="center" valign="top" background="images/tmenubg.gif">
                        <table height="57"  border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <xsl:call-template name="TOP-MENU"/>
                          </tr>
                      </table></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="100%" align="left" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td height="100%" align="left" valign="top" bgcolor="#887D75"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="69" align="left" valign="top"><img src="images/space.gif" width="69" height="10" /></td>
                  <td align="left" valign="top"><img src="images/space.gif" width="150" height="50" />
                    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                       <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                      </tr>
                    </table></td>
                  <td width="100%" height="100%" align="left" valign="top" class="pageContent">
				  <table  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      <td valign="top"><img src="images/text_icon.gif" width="21" height="19" /></td>
                    </tr>
                  </table><br /><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContenta">
  <tr>
    <td align="left" valign="top" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/></td>
  </tr>
</table><br />
<img src="images/space.gif" width="200" height="20" /></td>
                </tr>
              </table></td>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td align="left" valign="top" bgcolor="#887D75"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="100%" align="center">
			<table  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="images/space.gif" width="20" height="10" /></td>
                <xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table></td>
            <td width="55"><img src="images/bottom.gif" width="55" height="83" /></td>
            <td width="360" valign="middle" bgcolor="#FFFFFF" class="copyright"><img src="images/space.gif" width="360" height="10" /><br />
             <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
      </tr>
    </table>	</td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	<tr>
<td class="smenu"><span class="smenub">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
<td width="9"><img src="images/subicon.gif" width="9" height="7" /></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	<tr>
<td class="smenu">
<a href="{@HREF}" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td width="9"><img src="images/subicon.gif" width="9" height="7" /></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td colspan="2"><img src="images/subline.gif" width="150" height="13" /></td>
</tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		<td class="bmenua"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		<td class="bmenub"><a href="{@HREF}" class="bmenub" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		 <td bgcolor="#FFFFFF"><img src="images/space.gif" width="1" height="1" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
