<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM" mode="top"/>
	</xsl:template>
	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM" mode="top">
 		<xsl:choose>
 <!-- active menu with link-->
		 <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td height="100%" align="left" valign="top" style="background-image: url(images/tmenu2.gif);background-repeat: no-repeat;background-position: right top;">
					<table width="100%" height="57" style="background-image: url(images/tmenu1.gif);background-repeat: no-repeat;background-position: left top;" border="0" cellpadding="0" cellspacing="0" class="tmenu">
						<tr>
							<td class="tmenuicon"><img src="images/bullet.gif" /></td>
							<td class="tmenu1"><a href="{@HREF}" class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
						</tr>
					</table>
				</td>
 </xsl:when>
 
 
 <xsl:otherwise>
		 <td><img src="images/bullet.gif" /></td>
 <td class="tmenu">
		 <a href="{@HREF}" class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
		 </td>
 </xsl:otherwise>
	 </xsl:choose>
		<xsl:if test="position()!=last()">
		<td><img src="images/space.gif" width="15" height="54" /></td>
	</xsl:if>
	</xsl:template>
</xsl:stylesheet>