<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- business-014 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" bgcolor="#ffffff" background="images/xeug_35.jpg">	
<center>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/xeug_35.jpg">
    <tr align="center">
      <td height="64" background="images/xeug_02.jpg"></td>
      <td height="64" background="images/xeug_02.jpg"></td>
      <td height="64" background="images/xeug_02.jpg"></td>
      <td height="64" background="images/xeug_02.jpg"></td>
      <td height="64" colspan="6" align="left" style="padding-right: 20px;
	padding-left: 20px;" background="images/xeug_02.jpg"><!-- MENU -->
          <table border="0" cellspacing="0" cellpadding="0">
            <tr> <xsl:call-template name="TOP-MENU"/> </tr>
          </table>
          <!-- END MENU -->
      </td>
      <td width="10" height="64" background="images/xeug_02.jpg"></td>
    </tr>
    <tr>
      <td width="47"><img src="images/xeug_04.jpg" width="47" height="219" alt="" /></td>
      <td colspan="4" background="images/xeug_06.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="219" align="right" style="background-image: url(images/xeug_05.jpg);
	background-repeat: no-repeat;
	background-position: left bottom;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td width="100%" height="219" align="left" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right bottom;"><!-- LOGO -->
                      <table border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td width="40" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                          <td width="190" height="31" align="left" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                          <td width="20" align="center"><img src="images/sol.gif" width="14" height="81" /></td>
                          <td align="left" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                        </tr>
                      </table>
                      <!-- END LOGO -->
                  </td>
                </tr>
            </table></td>
          </tr>
      </table></td>
      <td width="65" rowspan="2"><img src="images/fff.gif" width="65" height="1" /></td>
    </tr>
    <tr>
      <td width="47"></td>
      <td width="224" align="right"><img src="images/xeug_10.jpg" width="224" height="32" alt="" /></td>
      <td width="8"><img src="images/fff.gif" width="8" height="1" /></td>
      <td width="10" align="left" bgcolor="#FFFFFF"><img src="images/xeug_12.jpg" width="10" height="32" alt="" /></td>
      <td width="100%" align="right" bgcolor="#FFFFFF"><img src="images/xeug_14.jpg" width="304" height="32" /></td>
    </tr>
    <tr>
      <td width="47"></td>
      <td align="right" valign="top" width="224"><table width="224" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="100%" align="center" valign="top" bgcolor="#FFFFFF"><!-- SUBMENU -->
                <table width="173" border="0" cellspacing="0" cellpadding="0">
                  <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                </table>
                <!-- END SUBMENU -->
            </td>
          </tr>
          <tr>
            <td><img src="images/xeug_23.jpg" width="224" height="19" alt="" /></td>
          </tr>
          <tr>
            <td>
          <table width="220" height="80" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td width="207" align="right">
						<!-- FOOTER -->
						<div align="right" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
			</td>
              <td width="13" align="center"><img src="images/copyright.jpg" width="1" height="60" /></td>
            </tr>
        </table>

			</td>
          </tr>
        </table>
</td>
      <td width="8"></td>
      <td width="10" bgcolor="#FFFFFF"></td>
      <td width="100%" height="100%" align="left" valign="top" bgcolor="#FFFFFF" style="padding: 10px;"><!-- CONTENT -->
          <table cellpadding="0" cellspacing="0" border="0">
            <tr>
              <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              <td style="padding-left:5px;"><img src="images/xeug_20.jpg" width="23" height="19" /></td>
            </tr>
          </table>
          <div style="width:0px; height:15px;"><span></span></div>
          <table width="100%" height="100%">
            <tr>
              <td valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
            </tr>
          </table>
          <!-- END CONTENT -->
      </td>
      <td valign="bottom"></td>
    </tr>
    <tr>
      <td width="47" height="12"></td>
      <td height="12"></td>
      <td></td>
      <td valign="bottom" bgcolor="#FFFFFF"><img src="images/xeug_25.jpg" width="10" height="12" alt="" /></td>
      <td height="12" align="right" valign="bottom" bgcolor="#FFFFFF"><img src="images/xeug_27.gif" width="11" height="12" alt="" /></td>
      <td height="12"></td>
    </tr>
    <tr>
      <td width="47"></td>
      <td height="50"></td>
      <td></td>
      <td></td>
      <td height="50" align="right"></td>
      <td height="50"></td>
    </tr>
  </table>
</center>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
            <tr>
              <td height="29" align="left" background="images/bg.gif" style="padding-left: 8px; padding-right: 8px;" class="asubmenu">
			      <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			  </td>
            </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
           <tr>
              <td height="29" align="left" background="images/bbg.gif" style="padding-left: 8px; padding-right: 8px;">
			     <a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
			  </td>
           </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		 <tr>
            <td><img src="images/line.gif" width="176" height="5" /></td>
         </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
              <tr>
                <td align="right"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              </tr>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 		 <tr>
            <td align="right"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
         </tr>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	 <tr>
         <td height="2"></td>
      </tr>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
